Welcome to the Question2Answer Q&A. There's also a demo if you just want to try it out.
0 votes
16.4k views
in Q2A Core by

Hello All,

I install this great script on my localhost,
I have on the top this error:
 
Deprecated: mysql_connect(): The mysql extension is deprecated and will be removed in the future: use mysqli or PDO instead in C:\xampp\htdocs\script\qa-include\qa-db.php on line 
 
How i can fix this ?
 
Thanks.
 
:)
by
After a long discussion inside the PHP developers team they decided to mark the old mysql_* functions deprecated in PHP 5.5.  

Why was mysql deprecated in PHP 5.5?
Johannes Schl├╝ter, one of the PHP developers listed missing points like these:

Stored Procedures
Prepared Statements
(SSL-) Encryption
Compression
Full charset support

http://livescript.in/2017/11/mysql-extension-deprecated-will-removed-future-php-use-mysqli-pdo-instead/
...